App\Library\Amazon\Classes\BarCode:
    xml_root_name: BarCode
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\BarCode\VariationDataAType
        includesRechargableBattery:
            expose: true
            access_type: public_method
            serialized_name: IncludesRechargableBattery
            accessor:
                getter: getIncludesRechargableBattery
                setter: setIncludesRechargableBattery
            type: boolean
        noiseAttenuation:
            expose: true
            access_type: public_method
            serialized_name: NoiseAttenuation
            accessor:
                getter: getNoiseAttenuation
                setter: setNoiseAttenuation
            type: string
        hardwarePlatform:
            expose: true
            access_type: public_method
            serialized_name: HardwarePlatform
            accessor:
                getter: getHardwarePlatform
                setter: setHardwarePlatform
            type: string
        inputDeviceInterface:
            expose: true
            access_type: public_method
            serialized_name: InputDeviceInterface
            accessor:
                getter: getInputDeviceInterface
                setter: setInputDeviceInterface
            type: string
        connectivityTechnology:
            expose: true
            access_type: public_method
            serialized_name: ConnectivityTechnology
            accessor:
                getter: getConnectivityTechnology
                setter: setConnectivityTechnology
            type: string
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            type: string
        powerDevice:
            expose: true
            access_type: public_method
            serialized_name: PowerDevice
            accessor:
                getter: getPowerDevice
                setter: setPowerDevice
            type: string
        scanElementType:
            expose: true
            access_type: public_method
            serialized_name: ScanElementType
            accessor:
                getter: getScanElementType
                setter: setScanElementType
            type: string
        scanRate:
            expose: true
            access_type: public_method
            serialized_name: ScanRate
            accessor:
                getter: getScanRate
                setter: setScanRate
            type: string
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
